\documentclass{article}
\oddsidemargin=0cm
\topmargin=-1cm
\textwidth=16cm
\textheight=25cm
\usepackage{graphicx}          % include graphics
\usepackage{array}
\newcolumntype{L}[1]{>{\raggedright\let\newline\\\arraybackslash\hspace{0pt}}m{#1}}
\newcolumntype{C}[1]{>{\centering\let\newline\\\arraybackslash\hspace{0pt}}m{#1}}
\newcolumntype{R}[1]{>{\raggedleft\let\newline\\\arraybackslash\hspace{0pt}}m{#1}}


\usepackage[most]{tcolorbox}
\newcounter{bmcsexample}
\usepackage{xparse}
\usepackage{lipsum}

\def\exampletext{Example} % If English

\NewDocumentEnvironment{bmcsexample}{ O{} }
{
\colorlet{colexam}{red!55!black} % Global example color
\newtcolorbox[use counter=bmcsexample]{bmcsexamplebox}{%
    % Example Frame Start
    empty,% Empty previously set parameters
    title={\exampletext: #1},% use \thetcbcounter to access the bmcsexample counter text
    % Attaching a box requires an overlay
    attach boxed title to top left,
       % Ensures proper line breaking in longer titles
       minipage boxed title,
    % (boxed title style requires an overlay)
    boxed title style={empty,size=minimal,toprule=0pt,top=4pt,left=3mm,overlay={}},
    coltitle=colexam,fonttitle=\bfseries,
    before=\par\medskip\noindent,parbox=false,boxsep=0pt,left=3mm,right=0mm,top=2pt,breakable,pad at break=0mm,
       before upper=\csname @totalleftmargin\endcsname0pt, % Use instead of parbox=true. This ensures parskip is inherited by box.
    % Handles box when it exists on one page only
    overlay unbroken={\draw[colexam,line width=.5pt] ([xshift=-0pt]title.north west) -- ([xshift=-0pt]frame.south west); },
    % Handles multipage box: first page
    overlay first={\draw[colexam,line width=.5pt] ([xshift=-0pt]title.north west) -- ([xshift=-0pt]frame.south west); },
    % Handles multipage box: middle page
    overlay middle={\draw[colexam,line width=.5pt] ([xshift=-0pt]frame.north west) -- ([xshift=-0pt]frame.south west); },
    % Handles multipage box: last page
    overlay last={\draw[colexam,line width=.5pt] ([xshift=-0pt]frame.north west) -- ([xshift=-0pt]frame.south west); },%
    }
\begin{bmcsexamplebox}}
{\end{bmcsexamplebox}\endlist}


\begin{document}
        
\begin{bmcsexample}[Pullout with frictional bond]
\noindent Analytic solution of the bond with constant shear
    bond law is demonstrated showing the shear flow, slip and strain
    along the fiber at a marked state.
 \\[3mm]
\begin{center}
\begin{tabular}{lrp{4cm}}\hline
Model parameter & Symbol = Value [Unit] & Description  \\\hline \hline
n\_steps & None = 100 [None] & {\footnotesize None}  \\
            w\_max & None = 1.5 [None] & {\footnotesize None}  \\
            \hline
\multicolumn{3}{l}{geometry : Geometry}\\ \hline

L\_x & None = 800.0 [None] & {\footnotesize embedded length}  \\
            \hline
\multicolumn{3}{l}{cross\_section : CrossSection}\\ \hline

A\_f & None = 153.9 [None] & {\footnotesize reinforcement area [mm2]}  \\
            A\_m & None = 15240 [None] & {\footnotesize matrix area [mm2]}  \\
            \hline
\multicolumn{3}{l}{material : MaterialParams}\\ \hline

tau\_pi\_bar & $\bar{\tau}$ = 4.5 [$\mathrm{MPa}$] & {\footnotesize Frictional bond strength}  \\
            E\_f & $E_\mathrm{f}$ = 240000 [$\mathrm{MPa}$] & {\footnotesize Reinforcement stiffness}  \\
            \hline \end{tabular}


\end{center}

\noindent
\begin{tabular}{L{7.5cm}L{7.5cm}}
\includegraphics[width=7.5cm]{fig140069904392752.pdf}
 & 
\includegraphics[width=7.5cm]{fig140069904394288.pdf}
 \\\end{tabular}

\noindent
\begin{tabular}{L{7.5cm}L{7.5cm}}
\includegraphics[width=7.5cm]{fig140069904394576.pdf}
 & 
\includegraphics[width=7.5cm]{fig140069904394864.pdf}
 \\\end{tabular}

\end{bmcsexample}

\end{document}
        